<p align="center">
<img width="400px" src="https://uploads-ssl.webflow.com/5e7ceb09657a69bdab054b3a/5e7ceb09657a6937ab054bba_Black_Original%20_Logo.png">
</p>

---

<p align="center">
Build modern, graph-based applications on top of your streaming data in minutes.
</p>

<p align="center">
  <a href="https://github.com/memgraph/memgraph/blob/master/licenses/APL.txt">
    <img src="https://img.shields.io/badge/license-APL-green" alt="license" title="license"/>
  </a>
  <a href="https://github.com/memgraph/memgraph/blob/master/licenses/BSL.txt">
    <img src="https://img.shields.io/badge/license-BSL-yellowgreen" alt="license" title="license"/>
  </a>
  <a href="https://github.com/memgraph/memgraph/blob/master/licenses/MEL.txt" alt="Documentation">
    <img src="https://img.shields.io/badge/license-MEL-yellow" alt="license" title="license"/>
  </a>
</p>

<p align="center">
  <a href="https://github.com/memgraph/memgraph">
    <img src="https://img.shields.io/github/workflow/status/memgraph/memgraph/Release%20Ubuntu%2020.04/master" alt="build" title="build"/>
  </a>
  <a href="https://memgraph.com/docs/" alt="Documentation">
    <img src="https://img.shields.io/badge/documentation-Memgraph-orange" />
  </a>
</p>

## :clipboard: Description
Memgraph is a streaming graph application platform that helps you wrangle your streaming data, build sophisticated models that you can query in real-time, and develop graph applications.

Memgraph directly connects to your streaming infrastructure. You can ingest data from sources like Kafka, SQL, or plain CSV files.
Memgraph provides a standard interface to query your data with Cypher, a widely-used and declarative query language that is easy to write, understand and optimize for performance.
This is achieved by using the property graph data model, which stores data in terms of objects, their attributes, and the relationships that connect them.
This is a natural and effective way to model many real-world problems without relying on complex SQL schemas.

Memgraph is implemented in C/C++ and leverages an in-memory first architecture to ensure that you’re getting the best possible performance consistently and without surprises.
It’s also ACID-compliant and highly available.

## :zap: Features
- Run Python, Rust, and C/C++ code natively, check out the [MAGE](https://github.com/memgraph/mage) graph algorithm library
- Native support for machine learning
- Streaming support
- Replication
- Authentication and authorization
- ACID compliance

## :bookmark_tabs: Documentation
The Memgraph documentation is available at [memgraph.com/docs](https://memgraph.com/docs).

## :shipit: Installation
Memgraph can be installed on Linux Debian/Ubuntu/CentOS natively, or on any other operating system through a [Docker](https://docker.com) container.

You can find the [installation instructions](https://memgraph.com/docs/memgraph/installation) on the main documentation.

## :question: Configuration
Command line options that Memgraph accepts are available in the [reference guide](https://memgraph.com/docs/memgraph/reference-guide/configuration).

## :trophy: Contributions
For bugs, feature requests, or any other code-related info, reach out to us using [GitHub issues](https://github.com/memgraph/memgraph/issues/new).
We'd love to hear your ideas and talk about them before any code is written, that way we can brainstorm the general use cases and create better software!

## :scroll: Licence
Memgraph Community is available under the [BSL license](./licenses/BSL.txt).</br>
Memgraph Enterprise is available under the [MEL license](./licenses/MEL.txt).

<p align="center">
  <a href="#">
    <img src="https://img.shields.io/badge/⬆️back_to_top_⬆️-white" alt="Back to top" title="Back to top"/>
  </a>
</p>
